> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/55.-zipbestanden-uploaden-meer-dan-6-mb.md).

# 55. Zipbestanden uploaden (meer dan 6 MB)

Als technische beperking van de AWS-cloudprovider moet het uploaden van bestanden groter dan 6 MB in 2 stappen gebeuren:

#### **1. Vraag de pre-signed link aan voor directe verdere upload.**  <a href="#step1" id="step1"></a>

Als invoer:&#x20;

* `fileType` - `opbrengst` OF `bodem` OF `toegepast` OF `adapt` OF `grens`,&#x20;
* `farmUuid` (optioneel) - uuid van de boerderij om het bestand naar te importeren.&#x20;

Als uitvoer:

* `uuid` - de verwachte uuid na de upload en verwerking,
* `farmUuid` - hetzelfde als invoer,
* `fileType` - hetzelfde als invoer,
* `s3Url` - de URL die wordt gebruikt om het bestand te uploaden,
* `s3Fields` - attributen om door te geven in het uploadformulier voor het bestand.

De details over hoe te gebruiken `s3Url` en `s3Fields` worden beschreven in de tweede stap.&#x20;

De attributen zijn slechts 60 minuten geldig om het bestand te uploaden.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Zend een lokaal bestand naar s3Url met vooraf gedefinieerde form-attributen uit s3Fields.**  <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Meldingen over de verwerking worden geleverd via het abonnementsmechanisme zoals beschreven in\
&#x20;[1. Abonnement: Ontvang evenementen](/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/1.-abonnement-gebeurtenissen-ophalen.md).

{% hint style="info" %}
De response-header bevat een `Etag` header, die bijvoorbeeld verschijnt als `Etag: "6fd3e76992738357ab50039f2c60024e"`. Deze waarde wordt vervolgens gebruikt in GraphQL [query getPlatformContext](/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/83.-query-platformcontext-verzamelen.md) om de verwerkingsvoortgang te monitoren, evenals de associatie met de entiteiten "Field", "AsAppliedDataset", "YieldDataset" en "SoilDataset".
{% endhint %}

{% hint style="info" %}
Gebruik `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/55.-zipbestanden-uploaden-meer-dan-6-mb.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
